=== debian/changelog ===
cfengine3 (3.0.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/watch: modified again to catch the newest versions
  * debian/patches:
    + all patches: refreshed
    + cf-monitor-pid: removed, it is upstream

 -- Antonio Radici <antonio@debian.org>  Wed, 09 Jun 2010 23:14:56 +0100

cfengine3 (3.0.4+dfsg-1) unstable; urgency=low

   * debian/watch: modified to catch the newest versions
   * debian/control:
      + removed DMUA
      + bumped Standards-Version to 3.8.4 (no changed needed)
   * debian/patches:
      + all patches refreshed
      + rename-doesnt-fail: removed, it is incorporated upstream
      + added some more typos to patches/fix-error-typos
  * Switch to dpkg-source 3.0 (quilt) format
      + debian/control: removed quilt from B-D
      + debian/rules: removed patch/unpatch and quilt include
      + debian/README.source removed
  * debian/cfengin3.lintian-overrides:
      + overridden a spelling error (it is not)

 -- Antonio Radici <antonio@debian.org>  Fri, 30 Apr 2010 08:11:20 +0100

cfengine3 (3.0.2+dfsg-2) unstable; urgency=low

  * debian/control: 
    + adding missing full stops (Closes: 550108)
    + updating my mail to antonio@debian.org
    + adding a B-D to libpcre3-dev (Closes: 552520)
    + cfengine2 no longer in Conflicts (Closes: 555479)
  * debian/rules: do not compress .cf files
  * debian/patches:
    + fix-example-paths added, to adapt examples to our FHS 
      compliant paths (Closes: 552144)
    + remove-man-errors: fix for some minor typos (Closes: 552473)
    + rename-doesnt-fail: prevent failures if rename fails (Closes: 555932)
    + fix-error-typos: to fix a small typo in cf-agent, so lintian is happy
  * debian/README.Debian: 
    + warn people to modify site.cf before starting the daemons

 -- Antonio Radici <antonio@debian.org>  Tue, 08 Dec 2009 16:19:24 +0000

cfengine3 (3.0.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #518059)

 -- Antonio Radici <antonio@dyne.org>  Wed, 23 Sep 2009 20:52:47 +0100
